/*
 * test_send.c --
 *
 * Handshake test for the ATP-API.
 *
 * $Id: test_send.c,v 1.2 95/07/24 16:04:02 tfisher Exp Locker: tfisher $
 */

#include <stdio.h>
#include "atp_api.h"

int
main(int argc, char **argv)
{
	int hostID;
	int sessID;
	int unit=0;
	int interface=1;
	struct buffer *buff;

	if (argc != 2) {
		printf("Usage: test_send dest_host_name\n");
		exit (1);
	}

	hostID = AtomicGetIdFromName(argv[1]);

	AtomicInit(unit, interface, MCP_FILE, MAX_MTU);

	AtomicOpen(unit, interface, &sessID, 1, &buff);

	strcpy(buff->u, "hello world");

	AtomicSend(unit, interface, hostID, buff, 12);

	exit(0);
}
